<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.esupportail</groupId>
	<artifactId>esup-commons2-parent</artifactId>
	<packaging>pom</packaging>
	<version>0.3.2</version>
	<name>esup-commons-parent</name>
	<url>https://sourcesup.cru.fr/projects/esup-commons/</url>
	<scm>
		<developerConnection>scm:git:ssh://git@github.com/EsupPortail/esup-commons-core</developerConnection>
		<url>https://sourcesup.cru.fr/scm/?group_id=244</url>
	</scm>
	<modules>
		<module>esup-commons-core</module>
		<module>esup-commons-jsf-parent</module>
		<module>esup-commons-auth</module>
		<module>esup-commons-exceptionHandling</module>
		<module>esup-commons-ws-parent</module>
		<module>esup-commons-dao-parent</module>
		<module>esup-commons-ldap</module>
		<module>esup-commons-mobile</module>
		<module>esup-commons-web</module>
		<module>esup-commons-aop</module>
		<module>esup-commons-springmvc-portlet</module>
		<module>esup-commons-annotations</module>
	</modules>
	<repositories>
		<repository>
			<id>esup-snapshots</id>
			<url>https://mvn.esup-portail.org/content/repositories/snapshots</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>false</enabled>
			</releases>
		</repository>
		<repository>
			<id>esup</id>
			<url>https://mvn.esup-portail.org/content/repositories/releases</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>mvn.esup-portail.org</id>
			<name>esup-portail</name>
			<url>https://mvn.esup-portail.org/content/repositories/releases</url>
		</repository>
		<snapshotRepository>
			<id>mvn.esup-portail.org</id>
			<name>esup-portail</name>
			<url>https://mvn.esup-portail.org/content/repositories/snapshots</url>
		</snapshotRepository>
	</distributionManagement>
	<build>
		<defaultGoal>install</defaultGoal>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.2.1</version>
				<configuration>
					<tagNameFormat>V2-@{project.version}</tagNameFormat>
					<goals>deploy</goals>
					<autoVersionSubmodules>true</autoVersionSubmodules>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.0.2</version>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>2.1.2</version>
				<executions>
					<execution>
						<id>bind-sources</id>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-eclipse-plugin</artifactId>
				<version>2.8</version>
				<configuration>
					<useProjectReferences>false</useProjectReferences>
					<additionalProjectnatures>
						<projectnature>org.springframework.ide.eclipse.core.springnature</projectnature>
					</additionalProjectnatures>
					<additionalBuildcommands>
						<buildcommand>org.springframework.ide.eclipse.core.springbuilder</buildcommand>
					</additionalBuildcommands>
					<downloadSources>true</downloadSources>
					<downloadJavadocs>true</downloadJavadocs>
					<wtpversion>1.5</wtpversion>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.8.1</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${org.springframework.version}</version>
				<scope>test</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.9</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-simple</artifactId>
			<version>1.5.8</version>
		</dependency>
	</dependencies>
	<properties>
		<org.springframework.version>3.0.6.RELEASE</org.springframework.version>
		<javax.portlet.version>1.0</javax.portlet.version>
		<javax.servlet.version>2.5</javax.servlet.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
</project>
